Summary:        GObject collection library
Name:           libgee
Version:        0.20.6
Release:        4%{?dist}
License:        LGPLv2+
URL:            https://wiki.gnome.org/Projects/Libgee
Source0:        https://download.gnome.org/sources/libgee/0.20/libgee-%{version}.tar.xz

BuildRequires:  make
BuildRequires:  pkgconfig(gio-2.0) pkgconfig(gobject-introspection-1.0)

%description
This package provides a utility library providing GObject-based interfaces and classes for 
commonly used data structures. It is written in Vala and can be used like any GObject-based 
C library. It is planned to provide bindings for further languages.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
This package provides libraries and header files for developing applications that use %{name}.


%prep
%autosetup


%build
%configure --disable-static
%make_build


%install
%make_install typelibdir=%{_libdir}/girepository-1.0 girdir=%{_datadir}/gir-1.0
find %{buildroot} -name '*.la' -delete


%check
make check


%files
%license COPYING
%doc AUTHORS MAINTAINERS NEWS README
%{_libdir}/*.so.*
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/Gee-0.8.typelib

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/gee-0.8.pc
%dir %{_datadir}/gir-1.0
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/gir-1.0/Gee-0.8.gir
%{_datadir}/vala/vapi/gee-0.8.vapi


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.20.6-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.20.6-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.20.6-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Dec 6 2022 Wang Guodong <gordonwwang@tencent.com> - 0.20.6-1
- package init.
